Get chats
curl --request GET \
--url https://api.getpoppy.ai/api/chats \
--header 'api_key: <api-key>'import requests
url = "https://api.getpoppy.ai/api/chats"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.getpoppy.ai/api/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "chatNode-patient-star-4uIJt",
"conversations": [
{ "id": "xMmCzgatt8TAI1L58LYQ", "name": "Breakdown of fizzy drinks part 1" }
]
},
{
"id": "chatNode-icy-feather-45HNI",
"conversations": [
{ "id": "OdtFIwEmdhlTrNy5UTNg", "name": "Breakdown of fizzy drinks part 2" }
]
}
]
}
Board and Chat Endpoints
Get chats
Retrieve all chat assistants for a specific board
GET
/
api
/
chats
Get chats
This endpoint returns all available chat assistants that are connected to a specific board.
Query Parameters
string
Your API key for authentication
string
required
The ID of the board whose chat assistants you want to retrieve
Response
array
List of chat assistants attached to the board
string
Unique identifier for each chat assistant
array
List of existing conversation threads for this chat assistant
{
"data": [
{
"id": "chatNode-patient-star-4uIJt",
"conversations": [
{ "id": "xMmCzgatt8TAI1L58LYQ", "name": "Breakdown of fizzy drinks part 1" }
]
},
{
"id": "chatNode-icy-feather-45HNI",
"conversations": [
{ "id": "OdtFIwEmdhlTrNy5UTNg", "name": "Breakdown of fizzy drinks part 2" }
]
}
]
}
⌘I
